Skip to main content
Version: 1.5.4

Ecdsa - Export a private key (Exit MPC)

POST 

/ecdsa/export/full

authorization

This API endpoint requires an API Key with at least one of the following Roles: KeysManager | KeysExporter

Combine all secret shares and export the full private key to a single party (export_to). Requires a threshold amount of parties to participate. Only the device with the export_id equal to export_to will receive the full private key, if export_to is the export_id of this Vertex otherwise nothing is returned.

Request

Header Parameters

    AUTHORIZATION stringrequired

    The AUTHORIZATION header must be set to the API Key of the user. The API Key is returned when a new user is created using the /admin/create-user endpoint.

Body

required

    oneOf

    key_namestringrequired
    export_tostringrequired

    relay_address

    object

    An Optional relay address to use only for this specific MPC operation. If not provided, the default relay address will be used. The relay address should be in the format of host:port.

    anyOf

    string

    room_uuidstringrequired

Responses

Schema

    private_keystringrequired